Public-company BTC holdings API
Public companies holding BTC and every disclosed purchase (date, amount, cost, average cost, holdings after the purchase). Answers "who is buying, how much, and for how much".
- Coverage
- Public companies with disclosed BTC holdings
- Endpoint refresh
- 1 minute (underlying data follows company disclosures)
- Purchase history
- start_date / end_date, limit default 50, max 100
MSTR disclosed BTC purchases
- BTC holdings
- 849,327
- BTC acquired
- 811
- Acquisition cost
- $65.50M
BTC · Nov 2, 2026
BTC
MSTR · BTC holdings · BTC · Nov 2, 2026849,327 BTC
Static API snapshot · Nov 6, 2026
View sample JSON response
{
"data": [
{
"date": "2026-11-02",
"ticker": "MSTR",
"btc_holding": "849327",
"btc_acq": "811",
"acq_cost": "65500000",
"avg_btc_cost": 0.09
},
{
"date": "2026-10-19",
"ticker": "MSTR",
"btc_holding": "848517",
"btc_acq": "267",
"acq_cost": "22100000",
"avg_btc_cost": 0.09
},
{
"date": "2026-10-12",
"ticker": "MSTR",
"btc_holding": "848250",
"btc_acq": "250",
"acq_cost": "22000000",
"avg_btc_cost": 0.09
},
{
"date": "2026-10-05",
"ticker": "MSTR",
"btc_holding": "848000",
"btc_acq": "334",
"acq_cost": "28700000",
"avg_btc_cost": 0.09
},
{
"date": "2026-09-28",
"ticker": "MSTR",
"btc_holding": "847666",
"btc_acq": "1665",
"acq_cost": "143000000",
"avg_btc_cost": 0.1
},
{
"date": "2026-09-21",
"ticker": "MSTR",
"btc_holding": "846000",
"btc_acq": "950",
"acq_cost": "75700000",
"avg_btc_cost": 0.09
},
{
"date": "2026-08-31",
"ticker": "MSTR",
"btc_holding": "845050",
"btc_acq": "4603",
"acq_cost": "369700000",
"avg_btc_cost": 0.09
},
{
"date": "2026-08-10",
"ticker": "MSTR",
"btc_holding": "840447",
"btc_acq": "-1690",
"acq_cost": "-108600000",
"avg_btc_cost": 0.09
},
{
"date": "2026-08-03",
"ticker": "MSTR",
"btc_holding": "842138",
"btc_acq": "-1638",
"acq_cost": "-104730000",
"avg_btc_cost": 0.09
},
{
"date": "2026-07-05",
"ticker": "MSTR",
"btc_holding": "843775",
"btc_acq": "-2225",
"acq_cost": "-135200000",
"avg_btc_cost": 0.09
},
{
"date": "2026-06-30",
"ticker": "MSTR",
"btc_holding": "846000",
"btc_acq": "-1363",
"acq_cost": "-80800000",
"avg_btc_cost": 0.09
},
{
"date": "2026-06-22",
"ticker": "MSTR",
"btc_holding": "847363",
"btc_acq": "520",
"acq_cost": "34900000",
"avg_btc_cost": 0.09
}
]
}Endpoints
cURL (any language that can send an HTTP request)
curl "https://openapi.sosovalue.com/openapi/v1/btc-treasuries/MSTR/purchase-history?limit=50" \
-H "x-soso-api-key: $SOSO_API_KEY"
# v1 envelope: {"code": 0, "message": "success", "data": ...}
# code 0 means success; data fields are listed in the table belowResponse fields
GET /openapi/v1/btc-treasuries/{ticker}/purchase-history| Field | Type | Unit | Description |
|---|---|---|---|
| date | string | yyyy-MM-dd | Purchase date |
| ticker | string | — | Stock ticker |
| btc_holding | number | BTC | Total BTC holdings |
| btc_acq | number | BTC | BTC acquired in this purchase |
| acq_cost | number | USD | Acquisition cost |
| avg_btc_cost | number | USD | Average cost per BTC |